Package com.google.android.exoplayer2.decoder

## Class CryptoException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - com.google.android.exoplayer2.decoder.CryptoException

- All Implemented Interfaces:
    `Serializable`

      public class CryptoException
      extends Exception

  Thrown when a non-platform component fails to decrypt data.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `int` | `errorCode` | A component specific error code.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CryptoException​(int errorCode, String message)` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### errorCode

          public final int errorCode

      A component specific error code.

  - ### Constructor Detail

    - #### CryptoException

          public CryptoException​(int errorCode,
                                 String message)

      Parameters:
        `errorCode` - A component specific error code.
        `message` - The detail message.